Keyring Info
3
GNOME-KEYRING Library

# Keyring Info

Keyring Information

## Synopsis

    typedef             GnomeKeyringInfo;
    void                gnome_keyring_info_free             (GnomeKeyringInfo *keyring_info);
    GnomeKeyringInfo *  gnome_keyring_info_copy             (GnomeKeyringInfo *keyring_info);
    void                gnome_keyring_info_set_lock_on_idle (GnomeKeyringInfo *keyring_info,
                                                             gboolean value);
    gboolean            gnome_keyring_info_get_lock_on_idle (GnomeKeyringInfo *keyring_info);
    void                gnome_keyring_info_set_lock_timeout (GnomeKeyringInfo *keyring_info,
                                                             guint32 value);
    guint32             gnome_keyring_info_get_lock_timeout (GnomeKeyringInfo *keyring_info);
    time_t              gnome_keyring_info_get_mtime        (GnomeKeyringInfo *keyring_info);
    time_t              gnome_keyring_info_get_ctime        (GnomeKeyringInfo *keyring_info);
    gboolean            gnome_keyring_info_get_is_locked    (GnomeKeyringInfo *keyring_info);

## Description

Use `gnome_keyring_get_info()` or `gnome_keyring_get_info_sync()` to get a GnomeKeyringInfo pointer to use with these functions.

## Details

### GnomeKeyringInfo

    typedef struct GnomeKeyringInfo GnomeKeyringInfo;

### gnome_keyring_info_free ()

    void                gnome_keyring_info_free             (GnomeKeyringInfo *keyring_info);

Free a GnomeKeyringInfo object. If a `NULL` pointer is passed nothing occurs.

`keyring_info` :

  The keyring info to free.

### gnome_keyring_info_copy ()

    GnomeKeyringInfo *  gnome_keyring_info_copy             (GnomeKeyringInfo *keyring_info);

Copy a GnomeKeyringInfo object.

`keyring_info` :

  The keyring info to copy.

Returns :

  The newly allocated GnomeKeyringInfo. This must be freed with `gnome_keyring_info_free()`

### gnome_keyring_info_set_lock_on_idle ()

    void                gnome_keyring_info_set_lock_on_idle (GnomeKeyringInfo *keyring_info,
                                                             gboolean value);

Set whether or not to lock a keyring after a certain amount of idle time.

See also `gnome_keyring_info_set_lock_timeout()`.

`keyring_info` :

  The keyring info.

`value` :

  Whether to lock or not.

### gnome_keyring_info_get_lock_on_idle ()

    gboolean            gnome_keyring_info_get_lock_on_idle (GnomeKeyringInfo *keyring_info);

Get whether or not to lock a keyring after a certain amount of idle time.

See also `gnome_keyring_info_get_lock_timeout()`.

`keyring_info` :

  The keyring info.

Returns :

  Whether to lock or not.

### gnome_keyring_info_set_lock_timeout ()

    void                gnome_keyring_info_set_lock_timeout (GnomeKeyringInfo *keyring_info,
                                                             guint32 value);

Set the idle timeout, in seconds, after which to lock the keyring.

See also `gnome_keyring_info_set_lock_on_idle()`.

`keyring_info` :

  The keyring info.

`value` :

  The lock timeout in seconds.

### gnome_keyring_info_get_lock_timeout ()

    guint32             gnome_keyring_info_get_lock_timeout (GnomeKeyringInfo *keyring_info);

Get the idle timeout, in seconds, after which to lock the keyring.

See also `gnome_keyring_info_get_lock_on_idle()`.

`keyring_info` :

  The keyring info.

Returns :

  The idle timeout, in seconds.

### gnome_keyring_info_get_mtime ()

    time_t              gnome_keyring_info_get_mtime        (GnomeKeyringInfo *keyring_info);

Get the time at which the keyring was last modified.

`keyring_info` :

  The keyring info.

Returns :

  The last modified time.

### gnome_keyring_info_get_ctime ()

    time_t              gnome_keyring_info_get_ctime        (GnomeKeyringInfo *keyring_info);

Get the time at which the keyring was created.

`keyring_info` :

  The keyring info.

Returns :

  The created time.

### gnome_keyring_info_get_is_locked ()

    gboolean            gnome_keyring_info_get_is_locked    (GnomeKeyringInfo *keyring_info);

Get whether the keyring is locked or not.

`keyring_info` :

  The keyring info.

Returns :

  Whether the keyring is locked or not.